Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class RecognitionModeFilter

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.RecognitionModeFilter

All Implemented Interfaces:
  `android.os.Parcelable`

public class RecognitionModeFilter extends Object implements android.os.Parcelable
RecognitionModeFilter is used to enable/disable recognition of specific document groups. Setting is taken into account only if the right for that document is purchased.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<RecognitionModeFilter>`
  `CREATOR`
  `final boolean`
  `enableBarcodeId`
  Enable scanning of barcode IDs.
  `final boolean`
  `enableFullDocumentRecognition`
  Enable full document recognition.
  `final boolean`
  `enableMrzId`
  Enable scanning of MRZ IDs.
  `final boolean`
  `enableMrzPassport`
  Enable scanning of Passport MRZ.
  `final boolean`
  `enableMrzVisa`
  Enable scanning of visa MRZ.
  `final boolean`
  `enablePhotoId`
  Enable scanning of Photo ID.

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RecognitionModeFilter()`
  ``
  `RecognitionModeFilter(boolean enableMrzId, boolean enableMrzVisa, boolean enableMrzPassport, boolean enablePhotoId, boolean enableBarcodeId, boolean enableFullDocumentRecognition)`
  `protected`
  `RecognitionModeFilter(android.os.Parcel in)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `void`
  `writeToParcel(android.os.Parcel parcel, int i)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### enableMrzId

    public final boolean enableMrzId
    Enable scanning of MRZ IDs. Setting is taken into account only if the mrz_id right is purchased.

  - ### enableMrzVisa

    public final boolean enableMrzVisa
    Enable scanning of visa MRZ. Setting is taken into account only if the visa right is purchased.

  - ### enableMrzPassport

    public final boolean enableMrzPassport
    Enable scanning of Passport MRZ. Setting is taken into account only if the passport right is purchased.

  - ### enablePhotoId

    public final boolean enablePhotoId
    Enable scanning of Photo ID. Setting is taken into account only if the photo_id right is purchased.

  - ### enableBarcodeId

    public final boolean enableBarcodeId
    Enable scanning of barcode IDs. Setting is taken into account only if the barcode right to scan that barcode is purchased.

  - ### enableFullDocumentRecognition

    public final boolean enableFullDocumentRecognition
    Enable full document recognition. Setting is taken into account only if the document right to scan that document is purchased.

  - ### CREATOR

    public static final android.os.Parcelable.Creator<RecognitionModeFilter> CREATOR

- ## Constructor Details

  - ### RecognitionModeFilter

    public RecognitionModeFilter()

  - ### RecognitionModeFilter

    public RecognitionModeFilter(boolean enableMrzId, boolean enableMrzVisa, boolean enableMrzPassport, boolean enablePhotoId, boolean enableBarcodeId, boolean enableFullDocumentRecognition)

  - ### RecognitionModeFilter

    protected RecognitionModeFilter(android.os.Parcel in)

- ## Method Details

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel parcel, int i)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`